Bug 870033 - Apply fix for schema parser, so that the GML 3.1.1 schema can be used
Apply fix for schema parser, so that the GML 3.1.1 schema can be used
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libxml2 (Show other bugs)
6.3
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Daniel Veillard
qe-baseos-tools
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 08:52 EDT by Peter Hopfgartner
Modified: 2017-12-06 06:47 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 06:47:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 630130 None None None 2012-10-25 08:52:40 EDT

  None (edit)
Description Peter Hopfgartner 2012-10-25 08:52:40 EDT
Description of problem:
libxml2 prior to version 2.8.0 had a bug, so that the GML schema, the OGC Geographical Markup Language, could not be parsed correctly.
Seen the importance og GML 3.1.1 in for Geographical software, it might be evaluated if the fix to https://bugzilla.gnome.org/show_bug.cgi?id=630130 might be applied to the libxml2 package.
This would allow me to build the RPM packages for the soon to be released MapCache 12.10 (http://mapserver.org/trunk/mapcache/), which can be easily installed for any interested Enterprise Linux 6 user (the spec file will be included in mapserver source and probably in the Enterprise Linux GIS project).

Version-Release number of selected component (if applicable):

package is libxml2-2.7.6-8.el6_3.3.src.rpm

How reproducible:

See above mentioned bug report.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 RHEL Product and Program Management 2013-10-14 00:42:53 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Daniel Veillard 2013-10-17 08:15:31 EDT
Whoops, I missed that one. Indeed that patch didn't made it to the
version for RHEL-6.5, that patch is small and ought to be rather safe.
From a development POV I am supportive of pushing this patch at some point
in RHEL-6.

Daniel
Comment 4 Jan Kurik 2017-12-06 06:47:19 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.